@charset "UTF-8";
/**
 * service Page
 */
/**
 * function
 */
/* PCサイズの最小値、可変サイズ
----------------------------------------------- */
/* PCサイズのclamp
----------------------------------------------- */
/* SPサイズのclamp
----------------------------------------------- */
/**
 * Mixin
 */
.gree-nest__wrap,
.herbest__wrap {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 42px min(9.58vw, 138px);
}
@media screen and (max-width: 1023px) {
  .gree-nest__wrap,
  .herbest__wrap {
    display: block;
  }
}
.gree-nest__content,
.herbest__content {
  width: 40%;
}
@media screen and (max-width: 1023px) {
  .gree-nest__content,
  .herbest__content {
    width: 100%;
    margin-bottom: 40px;
  }
}
.gree-nest__content--ttl,
.herbest__content--ttl {
  font-family: "Teachers", sans-serif;
  font-weight: 500;
  font-size: clamp(3rem, 2.7777777778vw, 4rem);
  letter-spacing: 2.8px;
  margin-bottom: 10px;
  line-height: 40px;
}
@media screen and (max-width: 1023px) {
  .gree-nest__content--ttl,
  .herbest__content--ttl {
    font-size: 3rem;
    margin-bottom: 10px;
  }
}
.gree-nest__content--txt,
.herbest__content--txt {
  line-height: 35.2px;
}
.gree-nest__content--txt + .gree-nest__content--txt,
.gree-nest__content--txt + .herbest__content--txt,
.herbest__content--txt + .gree-nest__content--txt,
.herbest__content--txt + .herbest__content--txt {
  margin-top: 60px;
}
@media screen and (max-width: 1023px) {
  .gree-nest__content--txt + .gree-nest__content--txt,
  .gree-nest__content--txt + .herbest__content--txt,
  .herbest__content--txt + .gree-nest__content--txt,
  .herbest__content--txt + .herbest__content--txt {
    margin-top: 40px;
  }
}
.gree-nest__group,
.herbest__group {
  width: 49%;
}
@media screen and (max-width: 1023px) {
  .gree-nest__group,
  .herbest__group {
    width: 100%;
  }
}
.gree-nest__box--ttl,
.herbest__box--ttl {
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: auto 1fr;
  gap: 20px;
  align-items: center;
  margin-bottom: 7px;
  font-family: "Teachers", sans-serif;
  font-weight: 500;
  font-size: clamp(2rem, 2.0833333333vw, 3rem);
  line-height: clamp(2rem, 2.0833333333vw, 3rem);
  letter-spacing: 2.1px;
}
@media screen and (max-width: 1023px) {
  .gree-nest__box--ttl,
  .herbest__box--ttl {
    font-size: 2rem;
    gap: 10px;
    margin-bottom: 6px;
  }
}
.gree-nest__box--ja,
.herbest__box--ja {
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 500;
  font-size: clamp(1.4rem, 1.1111111111vw, 1.6rem);
  line-height: clamp(1.4rem, 1.1111111111vw, 1.6rem);
}
@media screen and (max-width: 1023px) {
  .gree-nest__box--ja,
  .herbest__box--ja {
    font-size: 1.4rem;
  }
}
.gree-nest__box--link,
.herbest__box--link {
  overflow: hidden;
  width: 100%;
  display: block;
  border-radius: 20px;
}
@media screen and (max-width: 1023px) {
  .gree-nest__box--link,
  .herbest__box--link {
    border-radius: 14px;
  }
}
.gree-nest__box--link img,
.herbest__box--link img {
  transition: transform 0.5s ease;
}
.gree-nest__box:not(:first-child),
.herbest__box:not(:first-child) {
  margin-top: 20px;
}
.gree-nest__list,
.herbest__list {
  min-height: 384px;
  display: flex;
  align-items: stretch;
  justify-content: center;
  margin: 60px 0 97px;
  position: relative;
}
@media screen and (max-width: 1023px) {
  .gree-nest__list,
  .herbest__list {
    display: block;
    margin: 60px 0 80px;
    height: auto;
  }
}
.gree-nest__list::before,
.herbest__list::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 1px;
  background: url(/megrass_theme/img/common/img-line-01.svg) 0 0 repeat;
}
@media screen and (max-width: 1023px) {
  .gree-nest__list::before,
  .herbest__list::before {
    background: url(/megrass_theme/img/common/img-line-01_sp.svg) 0 0 repeat;
    height: 1px;
  }
}
.gree-nest__list::after,
.herbest__list::after {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 1px;
  background: url(/megrass_theme/img/common/img-line-01.svg) 0 0 repeat;
}
@media screen and (max-width: 1023px) {
  .gree-nest__list::after,
  .herbest__list::after {
    background: url(/megrass_theme/img/common/img-line-01_sp.svg) 0 0 repeat;
    height: 1px;
  }
}
.gree-nest__item,
.herbest__item {
  width: 33.3333333333%;
  position: relative;
}
@media screen and (max-width: 1023px) {
  .gree-nest__item,
  .herbest__item {
    width: 100%;
    padding: 60px 0;
  }
}
.gree-nest__item--top,
.herbest__item--top {
  width: 253px;
  margin: 0 auto;
}
@media screen and (max-width: 1023px) {
  .gree-nest__item--top,
  .herbest__item--top {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 30px;
    margin-bottom: 22px;
  }
}
.gree-nest__item--num,
.herbest__item--num {
  font-family: "Teachers", sans-serif;
  font-weight: 500;
  text-align: center;
  margin-top: 40px;
  font-size: 5.8rem;
  line-height: 1;
}
@media screen and (max-width: 1023px) {
  .gree-nest__item--num,
  .herbest__item--num {
    margin: 0;
    font-size: 5.8rem;
  }
}
.gree-nest__item--small,
.herbest__item--small {
  font-size: 1.2rem;
  display: block;
  letter-spacing: 0.3em;
}
@media screen and (max-width: 1023px) {
  .gree-nest__item--small,
  .herbest__item--small {
    font-size: 1.2rem;
  }
}
.gree-nest__item--ttl,
.herbest__item--ttl {
  font-size: 2rem;
  margin: 30px 0;
  text-align: center;
  line-height: 1.8;
}
@media screen and (max-width: 1023px) {
  .gree-nest__item--ttl,
  .herbest__item--ttl {
    margin: 0;
    font-size: 2rem;
    text-align: left;
  }
}
.gree-nest__item--txt,
.herbest__item--txt {
  width: 253px;
  margin: 0 auto;
  line-height: 2;
}
@media screen and (max-width: 1023px) {
  .gree-nest__item--txt,
  .herbest__item--txt {
    width: 100%;
  }
}
.gree-nest__item:not(:first-child),
.herbest__item:not(:first-child) {
  position: relative;
}
.gree-nest__item:not(:first-child)::before,
.herbest__item:not(:first-child)::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 1px;
  height: 100%;
  background: url(/megrass_theme/img/common/img-line-02.svg) 0 0 repeat;
}
@media screen and (max-width: 1023px) {
  .gree-nest__item:not(:first-child)::before,
  .herbest__item:not(:first-child)::before {
    background: url(/megrass_theme/img/common/img-line-01_sp.svg) 0 0 repeat;
    width: 100%;
    height: 1px;
  }
}
.gree-nest__item:nth-last-child(2) .top-service__item--ttl,
.herbest__item:nth-last-child(2) .top-service__item--ttl {
  height: 72px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.herbest,
.works {
  position: relative;
}
.herbest::before,
.works::before {
  content: "";
  height: 1px;
  width: calc(100% - 60px);
  max-width: 1240px;
  background: rgba(44, 44, 44, 0.5);
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
}
@media screen and (max-width: 1023px) {
  .herbest::before,
  .works::before {
    width: calc(100% - 60px);
    max-width: 100%;
  }
}
@media screen and (min-width: 1441px) {
  .herbest::before,
  .works::before {
    width: calc(100% - 200px);
    max-width: 100%;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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 */